/*
  Copyright (C) 2012 Adapteva, Inc.
  Contributed by Yaniv Sapir <yaniv@adapteva.com>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program, see the file COPYING.  If not, see
  <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "e_lib.h"

#define Fhz   (600e6)
#define Td    (1)
#define Delay (Td * Fhz)

unsigned M[2] SECTION("shared_dram");

int main(void) {
	unsigned t;

	M[0] = 0x808;
	M[1] = 0x000;

	t = e_ctimer_set(E_CTIMER0, E_CTIMER_CLK, Delay);
	while (t > 0)
		t = e_ctimer_get(E_CTIMER0);

	e_irq_remote_raise(0x809, (E_SYNC + 3));

	return EXIT_SUCCESS;
}
